Bug 190958 - (php-pear-Net-SMTP) Review Request: php-pear-Net-SMTP
Review Request: php-pear-Net-SMTP
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Stone
Fedora Package Reviews List
:
Depends On: php-pear-Auth-SASL php-pear-Net-Socket
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-07 05:17 EDT by Remi Collet
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-04 12:54:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2006-05-07 05:17:19 EDT
Spec URL: http://remi.collet.free.fr/rpms/extras/php-pear-Net-SMTP.spec
SRPM URL: http://remi.collet.free.fr/rpms/extras/php-pear-Net-SMTP-1.2.8-1.fc5.src.rpm
Description: 
Provides an implementation of the SMTP protocol using PEAR's Net_Socket class.
Comment 2 Christopher Stone 2006-06-27 05:58:26 EDT
I will do a formal review on this package but you will not be able to check it
in until you are sponsered with bug #190007
Comment 3 Christopher Stone 2006-06-27 18:55:21 EDT
MUST ITEM CHECKLIST:
- rpmlint output:
W: php-pear-Net-SMTP invalid-license PHP License
W: php-pear-Net-SMTP dangerous-command-in-%post install
W: php-pear-Net-SMTP invalid-license PHP License

Warnings can be ignored

- package is named according to php packaging naming guidelines
- spec file name matches %{name}
- package meets packaging guidelines
- package is licensed with open source compatible license
- license field matches actual license
- source contains license file in %doc
- spec file is in American English (and french)
- spec file is legible
- sources match upstream
acd7c31aa6a083ff6bff86ffba02bcbb  Net_SMTP-1.2.8.tgz
- package successfully compiles and builds on FC-5 x86_64
O This package is missing:
Requires(post):   php-pear >= 1.4.9
Requires(postun): php-pear >= 1.4.9
Requires(hint): php-pear(Auth_SASL)
- package does not use locales
- package does not contain shared libraries in default paths (no need to run
ldconfig)
- package is not relocatable
- package does not own all directories it creates
It does not own the /usr/share/pear/Net directory.
- package does not contain any duplicate %files
- permissions are set properly
- package contains proper %clean section
- macro usage is consistant
- package contains permissible content
- package does not have large documentation
- package does not include header files or static libraries
- package does not use pkgconfig files
- package does not contain library with suffix
- package does not require a devel subpackage
- package does not contain any .la files
- package is not a gui and does not need a .desktop file
- package does not own files or directories owned by other packages
This may change in future.

MUST
- Must own the /usr/share/pear/Net directory add a %dir %{peardir}/Net
- Must Add:
Requires(post):   php-pear >= 1.4.9
Requires(postun): php-pear >= 1.4.9
- Uncomment Requires(hint): php-pear(Auth_SASL)
- Explain why adding  || : in %post and %postun sections was added, should we
not fail if this step fails?
- Change %defattr to (-,root,root,-)
- Remove dist tages in changelog version numbers
Comment 4 Christopher Stone 2006-06-28 05:38:47 EDT
It appears Auth_SASL is not optional, so this should be in Requires: not
Requries(hint):

Also you should add Requires: php >= 4.0.5
The version dependency on php-pear is not needed in the Requires, its only
needed in building
Comment 5 Remi Collet 2006-09-02 03:52:27 EDT
Spec: http://remi.collet.free.fr/rpms/extras/php-pear-Net-SMTP.spec
SRPM:
http://remi.collet.free.fr/rpms/extras/php-pear-Net-SMTP-1.2.8-3.fc5.src.rpm
Mock: http://remi.collet.free.fr/rpms/extras/php-pear-Net-SMTP-build.log

Changes:
- install Licence in prep
- use new macros from /etc/rpm/macros.pear
- own /usr/share/pear/Net
- require php >= 4.0.5

Comment 7 Christopher Stone 2006-09-03 20:09:24 EDT
Change:
%defattr(-,root,root)

To:
%defattr(-,root,root,-)

After checking into CVS.  Approved.
Comment 8 Remi Collet 2007-03-31 04:29:28 EDT
Package Change Request
======================
Package Name: php-pear-Net-SMTP
New Branches: EL-5
Comment 9 Jens Petersen 2007-04-02 09:03:57 EDT
done

Note You need to log in before you can comment on or make changes to this bug.